# SerialExt in k210_hal::serial - Rust
Extension trait that constrains UART peripherals
Keywords: rust, rustlang, rust-lang, SerialExt

# Trait k210_hal::serial::SerialExt

source · [−]

    pub trait SerialExt: Sized {
        fn configure(self, baud_rate: Bps, clocks: &Clocks) -> Serial<Self>;
    }

Expand description

Extension trait that constrains UART peripherals

## Required methods

source

#### fn configure(self, baud_rate: Bps, clocks: &Clocks) -> Serial<Self>

Configures a UART peripheral to provide serial communication

## Implementations on Foreign Types

source

### impl SerialExt for UARTHS

source

#### fn configure(self, baud_rate: Bps, clocks: &Clocks) -> Serial<UARTHS>

## Implementors

source

### impl<UART: UartX> SerialExt for UART